{ ... }:
let
  defaultShellAliases = {
    l = "ls -alh";
    ducks = "du -cksh * | sort -hr | head -n 15";
  };
in
{
  programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;

    shellAliases = defaultShellAliases;

    oh-my-zsh = {
      enable = true;
      plugins = [ "git" ];
      theme = "fishy";
    };

    # initContent = ''
    #   if command -v tmux &> /dev/null && [ -z "$TMUX" ]; then
    #     tmux attach-session -t default || tmux new-session -s default
    #   fi
    # '';
  };
}
